> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Card

> Request Card



## OpenAPI

````yaml post /customers/request-card/{customerId}
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /customers/request-card/{customerId}:
    parameters:
      - name: customerId
        in: path
        required: true
        description: >-
          The customer's unique ID. Returned in the `customer_id` field of the
          Create Customer (`POST /customers/add`) response. To retrieve a list
          of all customers and their IDs, use the Get Customers (`GET
          /customers`) endpoint.
        schema:
          type: string
    post:
      tags:
        - Customers
      summary: Request Card
      description: Request Card
      operationId: requestCard
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
            examples:
              Request Card:
                value:
                  merchant_key: '{{merchant_key}}'
      responses:
        '200':
          description: Request Card
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '53'
            Date:
              schema:
                type: string
                example: Wed, 12 Jun 2024 16:56:04 GMT
            ETag:
              schema:
                type: string
                example: W/"35-7LYg40hm0FW0EfyITCKmrLFxc14"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Request sent successfully
                  result:
                    type: boolean
                    example: true
              examples:
                Request Card:
                  value:
                    message: Request sent successfully
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````